DMAC_CRCSTATUS_Type Union Reference

## Data Fields

struct {
uint8_t CRCBUSY:1
uint8_t CRCZERO:1
uint8_t CRCERR:1
uint8_t __pad0__:5
} | bit
uint8_t | reg

## Detailed Description

Definition at line 173 of file dmac.h.

## Field Documentation

## __pad0__

uint8_t DMAC_CRCSTATUS_Type::__pad0__

bit: 3.. 7 Reserved

Definition at line 178 of file dmac.h.

## bit

struct { ... } DMAC_CRCSTATUS_Type::bit

Structure used for bit access

## CRCBUSY

uint8_t DMAC_CRCSTATUS_Type::CRCBUSY

bit: 0 CRC Module Busy

Definition at line 175 of file dmac.h.

## CRCERR

uint8_t DMAC_CRCSTATUS_Type::CRCERR

bit: 2 CRC Error

Definition at line 177 of file dmac.h.

## CRCZERO

uint8_t DMAC_CRCSTATUS_Type::CRCZERO

bit: 1 CRC Zero

Definition at line 176 of file dmac.h.

## reg

uint8_t DMAC_CRCSTATUS_Type::reg

Type used for register access

Definition at line 180 of file dmac.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/dmac.h